curl --request GET \
--url 'https://api.stateset.com/api/v1/customers/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"accepts_marketing": true,
"created_at": "2026-07-24T12:00:00Z",
"email": "string",
"first_name": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_name": "string",
"phone": null,
"status": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
`GET /api/v1/customers/:id`
GET /api/v1/customers/:id
GET
/
api
/
v1
/
customers
/
{id}
curl --request GET \
--url 'https://api.stateset.com/api/v1/customers/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"accepts_marketing": true,
"created_at": "2026-07-24T12:00:00Z",
"email": "string",
"first_name": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_name": "string",
"phone": null,
"status": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
Path parameters
string
required
Customer ID (UUID)
Responses
CustomerResponse
Customer details
ErrorBody
Customer not found
curl --request GET \
--url 'https://api.stateset.com/api/v1/customers/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"accepts_marketing": true,
"created_at": "2026-07-24T12:00:00Z",
"email": "string",
"first_name": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_name": "string",
"phone": null,
"status": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
โI